{
  "name": "panel-vue",
  "version": "1.0.0",
  "private": true,
  "type": "module",
  "scripts": {
    "dev": "vite",
    "localdev": "vite",
    "build": "run-p type-check \"build-only {@}\" --",
    "buildtest": "run-p type-check \"build-only-test {@}\" --",
    "preview": "vite preview",
    "build-only": "vite build",
    "build-only-test": "vite build --mode development",
    "type-check": "vue-tsc --build --force"
  },
  "dependencies": {
    "@microsoft/signalr": "^8.0.7",
    "axios": "^1.7.2",
    "html-to-pdfmake": "^2.5.19",
    "html2canvas": "^1.4.1",
    "jquery": "^3.7.1",
    "parchment": "^3.0.0",
    "pinia": "^2.1.7",
    "quill": "^2.0.3",
    "quill-image-resize-module": "^3.0.0",
    "summernote": "^0.9.1",
    "uuid": "^11.1.0",
    "vue": "^3.4.29",
    "vue-router": "^4.3.3",
    "vue3-pdfmake": "^2.2.0",
    "vue3-summernote-editor": "^1.0.2",
    "vuedraggable": "^4.1.0"
  },
  "devDependencies": {
    "@tsconfig/node20": "^20.1.4",
    "@types/html-to-pdfmake": "^2.4.4",
    "@types/jquery": "^3.5.30",
    "@types/node": "^20.14.5",
    "@types/summernote": "^0.8.10",
    "@vitejs/plugin-vue": "^5.0.5",
    "@vitejs/plugin-vue-jsx": "^4.0.0",
    "@vue/tsconfig": "^0.5.1",
    "npm-run-all2": "^6.2.0",
    "typescript": "~5.4.0",
    "vite": "^5.3.1",
    "vue-tsc": "^2.0.21"
  }
}
